[Support] Linuxserver.io - CouchPotato


Recommended Posts

Weird.  I am migrating to this Docker for Couchpotato. Was working fine on the previous docker.  Put in the Prowl API value, but each test fails.  Says to check the logs.  The logs say nothing but sending test to test.prowl.api.  No other errors. Just "fails". Even generated a new API code.  Just somewhat weird.  WIll have to dig into it.

Link to comment
  • 3 weeks later...
On 18/11/2015 at 8:00 AM, krelkor said:

Hi guys, my CP decided to explode in the last few hours and becomes inaccessible. Any ideas? The below just repeats constantly when its active.

 

 


Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 133, in 
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 140, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 111, in open_index
self._fix_params()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 98, in _fix_params
super(IU_HashIndex, self)._fix_params()
File "/app/couchpotato/libs/CodernityDB/index.py", line 103, in _fix_params
props = marshal.loads(self.buckets.read(self._start_ind))
EOFError: EOF read where object expected
Nov 17 21:57:39 48cb42387abe syslog-ng[88]: syslog-ng shutting down; version='3.5.3'
 

 

I believe I''m having the same issues

log.txt

Link to comment
  • 2 weeks later...

This docker seems to have a conflict with some of the browser cookies that other unraid dockers are storing for the same IP address.

I get stuck on the login screen even though the user and password are correctly populated. I have to clear the cookies before I can pass the login screen.

 

Is this a known issue that anyone is looking to resolve?

Link to comment
25 minutes ago, Zan said:

This docker seems to have a conflict with some of the browser cookies that other unraid dockers are storing for the same IP address.

I get stuck on the login screen even though the user and password are correctly populated. I have to clear the cookies before I can pass the login screen.

 

Is this a known issue that anyone is looking to resolve?

 

Sounds like something local to your browser, besides that we don't make the couchpotato app and have no control over any cookies it may store 

Link to comment
  • 4 weeks later...

My install also stopped working.

I deleted and reinstalled the docker but it didn't help.

 

Any ideas?

 

Quote

 

ErrorWarningSystemArrayLogin


[s6-init] making user provided files available at /var/run/s6/etc...exited 0.
[s6-init] ensuring user provided files have correct perms...exited 0.
[fix-attrs.d] applying ownership & permissions fixes...
[fix-attrs.d] done.
[cont-init.d] executing container initialization scripts...
[cont-init.d] 10-adduser: executing...

-------------------------------------
_ _ _
| |___| (_) ___
| / __| | |/ _ \
| \__ \ | | (_) |
|_|___/ |_|\___/
|_|

Brought to you by linuxserver.io
We gratefully accept donations at:
https://www.linuxserver.io/donations/
-------------------------------------
GID/UID
-------------------------------------
User uid: 99
User gid: 100
-------------------------------------

[cont-init.d] 10-adduser: exited 0.
[cont-init.d] 30-install: executing...
Cloning into '/app/couchpotato'...
[cont-init.d] 30-install: exited 0.
[cont-init.d] done.
[services.d] starting services
[services.d] done.
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!
Traceback (most recent call last):
File "/app/couchpotato/CouchPotato.py", line 135, in <module>
l.run()
File "/app/couchpotato/CouchPotato.py", line 89, in run
runCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)
File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotato
db.open()
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _inner
res = f(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in open
res = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)
File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in open
index.open_index()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 112, in open_index
self._open_storage()
File "/app/couchpotato/libs/CodernityDB/hash_index.py", line 137, in _open_storage
self.storage.open()
File "/app/couchpotato/libs/CodernityDB/storage.py", line 99, in open
raise IOError("Storage doesn't exists!")
IOError: Storage doesn't exists!

 

 

Link to comment
This docker seems to have a conflict with some of the browser cookies that other unraid dockers are storing for the same IP address.
I get stuck on the login screen even though the user and password are correctly populated. I have to clear the cookies before I can pass the login screen.
 
Is this a known issue that anyone is looking to resolve?

If you have radarr installed, that might be why. You can set their passwords the same
Link to comment

Hi Everyone I'm facing a problem with the api sending the wrong string it is sending this one:

https://[MYTRACKER]/couchpotato.php?imdbid=tt3731562&search=Kong%3A.Skull.Island.2017&user=[MYUSERNAME]&passkey=[MYPASSKEY]

It doesn't return any hits

If I alter the url to this:

https://[MYTRACKER]/couchpotato.php?imdbid=tt3731562&search=Kong.Skull.Island.2017&user=[MYUSERNAME]&passkey=[MYPASSKEY]

It returns multible hits.

 

How can I modify this?
I have found several fixes, but they include altering a file that I either don't have or that I'm too stupid to find:

__init__.py (This file I found, but it is empty, safe for a single line: "#Don't remove this file")

Quote

def bdecode(x):
    try:
        r, l = decode_func[x[0]](x, 0)
    except (IndexError, KeyError, ValueError):
        raise BTFailure("not a valid bencoded string")
#    if l != len(x):
#        raise BTFailure("invalid bencoded value (data after valid prefix)")
    return r

 

Another fix sugested this:

Quote

Browse to /couchpotato/core/media/movie/providers/torrent/torrentpotato.py
and delete the following
'search' : getTitle(media),

 

But if I look at one of my log entries it refers to a similar path. Can anyone help me find this path? it is not rooted in the /mnt/user/appdata folder on my unraid system

Quote

[ie.providers.info.omdbapi] Failed parsing IMDB API json: Traceback (most recent call last): File "/app/couchpotato/couchpotato/core/media/movie/providers/info/omdbapi.py", line 91, in parseMovie if tmp_movie.get(key).lower() == 'n/a': AttributeError: 'list' object has no attribute 'lower'

 

Any input would highly appreciated.

/L

 

Link to comment
docker exec -it couchpotato bash

Will get you into the file system to find that file, but the fix is only going to work until you update the container then you'll have to do it again.  Better log an issue on Couch's github and get them to fix it at source.

Link to comment
3 hours ago, DarkKnight said:

Can't log anything on their github. Issues have been closed/unavailable for a while. My CP docker has been growing more unstable for a while. Lots of little bugs keep popping up.

Sounds like the time to switch to Radarr if you ask me.

Link to comment
  • 1 month later...

Hey everyone,

 

I'm trying to get my CouchPotato docker container to view my current list of movies in /mnt/user/plex/Movies

 

I mapped the volume in the container as /movies <-> /mnt/user/plex/Movies, but when I go to the Manage section in CouchPotato, the Movie Folder entry is empty.

 

Does anyone know how I can get the volume to appear?

Link to comment
  • 2 weeks later...

I have an issue with CP not searching for the right release that I want.

My native language is not english, and when I want a movie from my original language, and do a search for a movie, the english title will be searched upon first.

The sites I'm on, the titles are always on danish, if its a danish movie that is, and not its english title. CP do the search in an incorrect laungage.

 

I did ask around, and this "fix" was given me as an possible help, but due to the nature of the docker system, I'm a bit bewilderd realle for what file to edit in.

the "fix" below would then be from a windows mashine.

I use Krusader when i edit in anything - note* I'm very very green inn linux and unraid :D

-----------------

 

Navigate tol:
/couchpotato/core/media/movie/providers/torrent/torrentpotato.py


delete line 20, soo:
'search' : getTitle(media),

reboot cp

Link to comment
  • 2 weeks later...

Hi firstly sorry for long paste I am limited to using mobile at the moment.

For some reason CP won't start, yesterday I noticed the gui didn't seem to be working. Restarted container. Then would no longer load.

Tried removing imaging and adfing again using fresh pull. But still same issue. I don't really want to remove app data as I was will lose all my logins to various indexers.

Do I just need to wait for next update or can a rollback to older version?

ErrorWarningSystemArrayLoginl.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 43, in _innerres = f(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database_super_thread_safe.py", line 93, in openres = super(SuperThreadSafeDatabase, self).open(*args, **kwargs)File "/app/couchpotato/libs/CodernityDB/database.py", line 571, in openindex.open_index()File "/app/couchpotato/libs/CodernityDB/tree_index.py", line 156, in open_indexraise IndexException("Doesn't exists")CodernityDB.index.IndexException: Doesn't existsTraceback (most recent call last):File "/app/couchpotato/CouchPotato.py", line 135, in l.run()File "/app/couchpotato/CouchPotato.py", line 89, in runrunCouchPotato(self.options, base_path, sys.argv[1:], data_dir = self.data_dir, log_dir = self.log_dir, Env = Env)File "/app/couchpotato/couchpotato/runner.py", line 142, in runCouchPotatodb.open()



I tried to run radaar but that failed to start too. Please let me know if you need to see diagnostics or if I need to try something else.

Sent from my SM-G930F using Tapatalk

Link to comment

Yeah, after 4 more months of headaches I had enough with CP acting up. I installed radarr last night and am in the process of setting it up. Wonder what happened with ruddburger that after so many years CP is getting abandoned. 

 

Looks like he just shifted his time into a different project: https://github.com/ReactTraining/react-router Lots of updates to that over the past few months with relatively nothing into CP. I'd venture a guess that CP is just done at this point.

Edited by DarkKnight
Link to comment
  • 4 months later...

Hey everyone, I'm pretty new to unraid and dockers. But i did get a plex server running and I'd like to expand my collection. I don't know much about couchpotato but I think I read that it's the best way to obtain digital media. I don't currently have a vpn and I understand those are a subscription based thing, is that right? I'm seeing most articles set it up with a usenet subscription too? Is it worth paying for both or should i start with getting a vpn and just torrenting (for media I own and just want a digital copy). All suggestions appreciated! What is your set up? and what dockers should i use? and what's the best torrent docker, or is sabnzb just the best option?  Thanks in advance!

Link to comment
  • 4 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.